Skip to main content
GET
A policy with its draft and published version

Authorizations

Authorization
string
header
required

ak_admin_… Admin API key

Path Parameters

policy_id
string
required
Pattern: ^pol_[0-9a-f]{32}$
Example:

"pol_0193a6c2e7b47c3d9f1e2a4b5c6d7e8f"

Response

OK

id
string
required
Pattern: ^pol_[0-9a-f]{32}$
Example:

"pol_0193a6c2e7b47c3d9f1e2a4b5c6d7e8f"

object
enum<string>
required
Available options:
organization.policy
name
string
required
description
string
required
state
enum<string>
required
Available options:
draft,
monitoring,
enforcing,
paused
revision
integer
required
has_unpublished_changes
boolean
required
current_version
integer | null
required
created_at
integer
required

Unix seconds

Example:

1793750400

updated_at
integer
required

Unix seconds

Example:

1793750400

draft
object
required
published
object
required